Name:           replxx
Version:        0.0.4
Release:        4%{?dist}
Summary:        Readline and libedit replacement library

# The entire source code is BSD except wcwidth.cpp which is 0BSD and ConvertUTF.cpp under Unicode-DFS-2015
License:        BSD and 0BSD and Unicode-DFS-2015
URL:            https://github.com/AmokHuginnsson/replxx
Source0:        https://github.com/AmokHuginnsson/replxx/archive/refs/tags/release-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  gcc
BuildRequires:  gcc-c++

Patch0:         replxx-unicode.patch

%description
A small, portable GNU readline replacement for Linux, Windows and MacOS which
is capable of handling UTF-8 characters. Unlike GNU readline, which is GPL, this
library uses a BSD license and can be used in any kind of program. 

%package devel
Summary:        Development files for replxx
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
Header files for the replxx library.

%prep
%autosetup -p1 -n replxx-release-%{version}

%build
%cmake
%cmake_build


%install
%cmake_install


%check
%ctest

%files
%license LICENSE.md
%{_libdir}/libreplxx*.so.0.0.*

%files devel
%{_libdir}/libreplxx*.so
%{_includedir}/*.h
%{_includedir}/*.hxx
%{_datadir}/cmake/%{name}
%doc README.md

%changelog
* Sun Nov 05 2023 Graham Leggett <minfrin@sharp.fm> - 0.0.4-4
- Initial version of the package

